"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lowerCaseKeys = exports.flattenObject = exports.uuid = exports.remove = exports.set = exports.get = exports.exists = void 0;
var object_1 = require("./object");
Object.defineProperty(exports, "exists", { enumerable: true, get: function () { return object_1.exists; } });
Object.defineProperty(exports, "get", { enumerable: true, get: function () { return object_1.get; } });
Object.defineProperty(exports, "set", { enumerable: true, get: function () { return object_1.set; } });
Object.defineProperty(exports, "remove", { enumerable: true, get: function () { return object_1.remove; } });
const uuid = () => {
    const result = new Array(36);
    const hexDigits = "0123456789abcdef";
    for (var i = 0; i < 36; i++) {
        result[i] = hexDigits[Math.floor(Math.random() * 0x10)];
    }
    result[14] = "4";
    result[19] = hexDigits[(Number(result[19]) & 0x3) | 0x8];
    result[8] = result[13] = result[18] = result[23] = "-";
    return result.join("");
};
exports.uuid = uuid;
const flattenObject = (object, parentPropertyName, result = {}) => {
    for (const key in object) {
        const propertyName = parentPropertyName ? parentPropertyName + "." + key : key;
        if (typeof object[key] === "object")
            if (Array.isArray(object[key]) && typeof object[key][0] === "string")
                result[propertyName] = object[key];
            else
                (0, exports.flattenObject)(object[key], propertyName, result);
        else
            result[propertyName] = object[key];
    }
    return result;
};
exports.flattenObject = flattenObject;
const lowerCaseKeys = (object) => {
    const result = {};
    for (const key in object)
        result[key.toLowerCase()] = object[key];
    return result;
};
exports.lowerCaseKeys = lowerCaseKeys;
//# sourceMappingURL=index.js.map